 .anoscheckbox div {
    clear: both;
    overflow: hidden;
  }

  .anoscheckbox label {
    width: 100%;
    border-radius: 3px;
    border: 1px solid #D1D3D4;
    font-weight: normal;
  }

  .anoscheckbox input[type="radio"]:empty,
  .anoscheckbox input[type="checkbox"]:empty {
    display: none;
  }

  .anoscheckbox input[type="radio"]:empty ~ label,
  .anoscheckbox input[type="checkbox"]:empty ~ label {
    position: relative;
    line-height: 2.5em;
    text-indent: 3.25em;
    margin-top: 2em;
    cursor: pointer;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
  }

  .anoscheckbox input[type="radio"]:empty ~ label:before,
  .anoscheckbox input[type="checkbox"]:empty ~ label:before {
    position: absolute;
    display: block;
    top: 0;
    bottom: 0;
    left: 0;
    content: '';
    width: 2.5em;
    background: #D1D3D4;
    border-radius: 3px 0 0 3px;
  }

  .anoscheckbox input[type="radio"]:hover:not(:checked) ~ label,
  .anoscheckbox input[type="checkbox"]:hover:not(:checked) ~ label {
    color: #888;
  }

  .anoscheckbox input[type="radio"]:hover:not(:checked) ~ label:before,
  .anoscheckbox input[type="checkbox"]:hover:not(:checked) ~ label:before {
    content: '\2714';
    text-indent: .9em;
    color: #C2C2C2;
  }

  .anoscheckbox input[type="radio"]:checked ~ label,
  .anoscheckbox input[type="checkbox"]:checked ~ label {
    color: #777;
  }

  .anoscheckbox input[type="radio"]:checked ~ label:before,
  .anoscheckbox input[type="checkbox"]:checked ~ label:before {
    content: '\2714';
    text-indent: .9em;
    color: #333;
    background-color: #ccc;
  }

  .anoscheckbox input[type="radio"]:focus ~ label:before,
  .anoscheckbox input[type="checkbox"]:focus ~ label:before {
    box-shadow: 0 0 0 3px #999;
  }
